Get a survey
GET
Returns one survey directly as an object (without a data wrapper), with author and the times of the first and last response.
bearerAuthheader
AuthorizationBearer <token>API token of the account (ph_ followed by 48 characters), created in the account settings under API access.
survey_id*stringUUID of the survey (id from List surveys).
Format
uuidThe survey.
application/json- response
id?stringUUID of the survey.
Format
uuidtype?stringSurvey type: Onsite, Embedded, Stand-Alone, Embedded Mail or Shopify post-purchase.
Value in
"onsite""embed""stand_alone""embedded_email""post_purchase"name?stringcreated_at?stringFormat
date-timeactive?booleanThe survey is switched on.
paused?booleanThe survey is paused.
draft?booleanThe survey has never been live.
responses?integerNumber of responses (participations with at least one answer).
launch?project?author?|Creator of the survey.
first_response_at?|Time of the first response.
Format
date-timelast_response_at?|Time of the last response.
Format
date-timecurl -X GET 'https://app.poll-hero.com/api/v1/surveys/42293d51-fdd7-49cb-a693-cc6f9f0a070b'{ "id": "42293d51-fdd7-49cb-a693-cc6f9f0a070b", "type": "onsite", "name": "Checkout satisfaction", "created_at": "2026-08-12T09:14:03.000000Z", "active": true, "paused": false, "draft": false, "responses": 1284, "launch": { "start_at": "2026-08-14T00:00:00.000000Z", "end_at": null }, "project": { "id": "KIn-gk5o6co5HOsPHDq8B", "name": "Online shop" }, "author": { "name": "Jane Doe", "email": "jane@example.com" }, "first_response_at": "2026-08-14T08:02:11.000000Z", "last_response_at": "2026-09-30T17:45:09.000000Z"}